
%define debug_package %{nil}
Name:    mavryk-smart-rollup-node
Version: 20.2rc3
Release: 1
Epoch: 1
Summary: Mavryk smart rollup node
License: MIT
BuildArch: x86_64 aarch64
Source0: mavryk-smart-rollup-node-20.2rc3.tar.gz
Source1: https://gitlab.com/mavryk-network/mavryk-protocol/tree/v20.2-rc3/
BuildRequires: make wget systemd systemd-rpm-macros
Requires: , mavryk-client, mavryk-node, mavryk-sapling-params
%description
Mavryk smart rollup node
Maintainer: Mavryk Dynamics Cowbot <cowbot@mavryk.io>
%prep
%setup -q
%build
%install
make mavkit-smart-rollup-node
mkdir -p %{buildroot}/%{_bindir}
install -m 0755 mavkit-smart-rollup-node %{buildroot}/%{_bindir}
ln -s %{_bindir}/mavkit-smart-rollup-node %{buildroot}/%{_bindir}/mavryk-smart-rollup-node



mkdir -p %{buildroot}/%{_unitdir}
install -m 644 mavryk-smart-rollup-node.service %{buildroot}/%{_unitdir}

mkdir -p %{buildroot}/%{_sysconfdir}/default
install -m 644 mavryk-smart-rollup-node.default %{buildroot}/%{_sysconfdir}/default/mavryk-smart-rollup-node

install -m 0755 mavryk-smart-rollup-node-start %{buildroot}/%{_bindir}


%files
%license LICENSE

%{_bindir}/mavkit-smart-rollup-node
%{_bindir}/mavryk-smart-rollup-node

%{_bindir}/mavryk-smart-rollup-node-start

%{_unitdir}/mavryk-smart-rollup-node.service

%{_sysconfdir}/default/mavryk-smart-rollup-node



%post
%systemd_post mavryk-smart-rollup-node.service


if [ -z $(getent passwd mavryk) ]; then
    useradd -r -s /bin/false -m -d /var/lib/mavryk mavryk
    chmod 0755 /var/lib/mavryk
fi

mkdir -p /var/lib/mavryk/.mavryk-client
chown -R mavryk:mavryk /var/lib/mavryk/.mavryk-client


%preun
%systemd_preun mavryk-smart-rollup-node.service


%postun
%systemd_postun_with_restart mavryk-smart-rollup-node.service



